For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETOAuth metadata
      • POSTDynamic client registration
      • GETAuthorization endpoint (renders consent screen)
      • POSTSubmit consent decision
      • POSTToken endpoint (exchange code or refresh)
      • POSTRevoke a refresh token
LogoLogo
DashboardGet started
Generated API ExplorerO Auth

Submit consent decision

POST
/oauth/authorize
POST
/oauth/authorize
$curl -X POST https://api.lipafy.xyzyz/oauth/authorize \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/x-www-form-urlencoded" \
> -d "client_id=string" \
> -d "redirect_uri=string" \
> -d "code_challenge=string" \
> -d "code_challenge_method=string" \
> -d "decision=approve"
Was this page helpful?
Previous

Token endpoint (exchange code or refresh)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
client_idstringRequired
redirect_uristringRequired
code_challengestringRequired
code_challenge_methodstringRequired
decisionenumRequired
Allowed values:
scopestringOptional
statestringOptional